/***********************************************************************
**                                                                    **
**  listing_6_7.c                                                     **
**                                                                    **
**  Lots of labels and a RowColumn widget. This program is the base   **
**  for all of the figures in the section of XmRowColumn.             **
**                                                                    **
***********************************************************************/


#include <Xm/RowColumn.h>
#include <Xm/Label.h>


Widget	appshell,			/* Application Shell	      */
	rowcol,				/* The RowColumn widget     */
	labels[5];			/* The children		      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_6_07", NULL, 0, &argc, argv );

    rowcol = XmCreateRowColumn( appshell, "RowCol", NULL, 0 );
    XtManageChild( rowcol );

    labels[0] = XmCreateLabel( rowcol, "Label_0", NULL, 0 );
    labels[1] = XmCreateLabel( rowcol, "Label_1", NULL, 0 );
    labels[2] = XmCreateLabel( rowcol, "Label_2", NULL, 0 );
    labels[3] = XmCreateLabel( rowcol, "Label_3", NULL, 0 );
    labels[4] = XmCreateLabel( rowcol, "Label_4", NULL, 0 );
    XtManageChildren( labels, 5 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
